<?php

global $forward_data, $sq_vacation_file, $vacation_file,
       $username, $sudo_binary, $sq_forward_addresses_file,
       $vacation_delete, $forward_file, $vac_debug, $vacation_backend,
       $ftp_server, $ftp_passive, $sq_vacation_subject_file,
       $ldap_lookup_ftp_server, $vacation_path,
       $maintain_dot_forward_file, $vacation_prefs_file,
       $ldap_base, $ldap_server, $ldap_attribute,
       $sq_vacation_aliases_file, $vacation_init;


// Choose the method to be used when connecting to your
// server to maintain vacation files: "ftp" or "sudo"
//
$vacation_backend = 'sudo'; 
//$vacation_backend = 'ftp'; 



// If you are using the FTP backend, please specify 
// your server's hostname (or IP address) here
//
$ftp_server = 'localhost'; 



// If you are using the FTP backend, turn on passive
// mode if necessary by setting this to 1
//
$ftp_passive = 0;
//$ftp_passive = 1;



// If you store users' ftp servers (server name/location)
// in LDAP, you can look up what $ftp_server should be in
// LDAP by turning this on
//
$ldap_lookup_ftp_server = 0;
//$ldap_lookup_ftp_server = 1;



// When using $ldap_lookup_ftp_server, set the LDAP base
// server, and attribute here ($ldap_server may be a host
// name or LDAP URI)
//
$ldap_base = 'ou=People,dc=DOMAIN,dc=com';
$ldap_server = 'your.ldap.server.com';
$ldap_attribute = 'mailhost';



// If you are using the sudo backend, this is the location
// of the sudo binary
//
$sudo_binary = '/usr/bin/sudo';



// When user enables auto-reply should we try to initialize
// .vacation.db by issuing vacation -I? Note: This will work
// only when using sudo backend
//
$vacation_init = 0;
//$vacation_init = 1;



// This is the name of the file that holds user vacation prefs
//
$vacation_prefs_file = '.vacation.preferences'; 



// This is the name of the file that holds the 
// subject line for the vacation message
//
$sq_vacation_subject_file = '.vacation.subject'; 



// This is the name of the file that holds the addresses to be forwarded to
//
$sq_forward_addresses_file = '.forward.addresses'; 



// This is the name of the file that holds list of account aliases
// for which vacation should also generate auto-replies
//
$sq_vacation_aliases_file = '.vacation.aliases'; 



// This is the name of the file that holds the raw vacation message text
//
$sq_vacation_file = '.vacation.body'; 



// This is the name of vacation file, which holds the vacation message
// in the form that it will be sent out in (with subject, etc)
//
$vacation_file = '.vacation.msg'; 



// Give the names of any supplementary (e.g. logging) files you would
// like to be deleted when the vacation message is removed
//
// Should be a list of comma-separated file names
//
$vacation_delete = '.vacation.db'; 



// Should the plugin also maintain .forward files?
// (as opposed to only vacation message)
//
$maintain_dot_forward_file = 1;



// This is the path to the vacation executable 
// on your system
//
$vacation_path = '/usr/bin/vacation';



// This is the name of forward file, which should be
// ".forward" for sendmail (without the quotes)
//
// This setting is only relevant if $maintain_dot_forward_file = 1
//
$forward_file = '.forward'; 



// Use for debugging purposes only; passwords may be exposed 
// if you leave this turned on!
//
$vac_debug = 0;



?>
